using System;
using DG.Tweening;
using FairyGUI;
using ChillConnect;


public static class CommonExpand
{
    public static GTweener FadeIn(this GObject obj, float duration = 0.3f, float delay = 0)
    {
        return CommonHelper.FadeIn(obj, duration, delay);
    }

    public static GTweener FadeOut(this GObject obj, float duration = 0.3f, float delay = 0)
    {
        return CommonHelper.FadeOut(obj, duration, delay);
    }

    public static void SetClick(this GObject button, Action action, bool isNetworkCheck = false,
        bool isQuickClickCheck = true)
    {
        CommonHelper.InitGButton(button, action, isNetworkCheck, isQuickClickCheck);
    }

    public static void SafeKill(this Tween tween)
    {
        if (tween != null && tween.IsActive())
        {
            tween.Kill();
        }
    }
}